Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.homogeneous.parameters
Class HomMMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.homogeneous.parameters.HomogeneousModelParameterSet
                          de.jstacs.models.discrete.homogeneous.parameters.HomMMParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

    public class HomMMParameterSet

extends HomogeneousModelParameterSet

This class implements a container for all parameters of a homogeneous Markov model

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`HomMMParameterSet()` An empty constructor.
`HomMMParameterSet(AlphabetContainer alphabet, double ess, String description, byte order)` The constructor that sets already the ALphabetContainer, ESS, description and order.
`HomMMParameterSet(StringBuffer s)` The constructor for the `Storable` interface.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.models.discrete.homogeneous.parameters.HomogeneousModelParameterSet
`hasDefaultOrIsSet, loadParameters`

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabet, getIndex, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomMMParameterSet

    public HomMMParameterSet(StringBuffer s)
                      throws NonParsableException

  The constructor for the `Storable` interface.

  Parameters:
    `s` - the StringBuffer
  Throws:
    `NonParsableException` - if the StringBuffer is not parsable

### HomMMParameterSet

    public HomMMParameterSet()

  An empty constructor.

### HomMMParameterSet

    public HomMMParameterSet(AlphabetContainer alphabet,
                             double ess,
                             String description,
                             byte order)
                      throws Exception

  The constructor that sets already the ALphabetContainer, ESS, description and order.

  Parameters:
    `alphabet` - the alphabet
    `ess` - the ESS
    `description` - the description
    `order` - the Markov order of the model
  Throws:
    `Exception` - if something went wrong

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD